#pragma once

#include "v3.h"
#include "m3x3.h"
class FrameBuffer;

class PPC {
  V3 a, b, c, C;
  int w, h;
public:
  PPC(int _w, int _h, float hfov);
  bool Project(V3 P, V3 &projP);
  void Visualize(PPC *ppc, FrameBuffer *fb);
  void Translate(V3 trans);
  void TranslateFW(float step);
  V3 GetVD();
};